package wb;

import java.io.IOException;
import javax.servlet.*;

/**
 * @author miya
 */
public class EncodingFilter implements Filter{

	private String enc;


	/**
	 * @see javax.servlet.Filter#destroy()
	 */
	public void destroy() {
	}

	/**
	 * @see javax.servlet.Filter#doFilter(ServletRequest, ServletResponse, FilterChain)
	 */
	public void doFilter(
		ServletRequest req,
		ServletResponse res,
		FilterChain chain)
		throws IOException, ServletException {
			
		req.setCharacterEncoding(enc);
	
		chain.doFilter(req, res);
	}

	/**
	 * @see javax.servlet.Filter#init(FilterConfig)
	 */
	public void init(FilterConfig config) throws ServletException {
		enc = config.getInitParameter("encoding");
	}

}
