package wb;



import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.*;
import org.apache.struts.action.ActionMapping;



public class BattleForm extends ActionForm {

	private String name;
	private String word;



    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request) {

        ActionErrors errors = new ActionErrors();
        if ((name == null) || (name.length() < 1))
            errors.add("name", new ActionError("error.name.required"));
        if ((word == null) || (word.length() < 1))
            errors.add("word", new ActionError("error.word.required"));


        return errors;

    }



    public void reset(ActionMapping mapping, HttpServletRequest request) {

        this.name = null;
        this.word = null;

    }



	/**
	 * Returns the name.
	 * @return String
	 */
	public String getName() {
		return name;
	}

	/**
	 * Returns the word.
	 * @return String
	 */
	public String getWord() {
		return word;
	}

	/**
	 * Sets the name.
	 * @param name The name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Sets the word.
	 * @param word The word to set
	 */
	public void setWord(String word) {
		this.word = word;
	}

}
